Bug 22468 - Standardize on labeling ccode table columns as collection
Summary: Standardize on labeling ccode table columns as collection
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 8775
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-06 15:33 UTC by Owen Leonard
Modified: 2020-05-14 15:52 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 22468: Standardize on labelling ccode table columns as Collections (9.79 KB, patch)
2020-04-13 02:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22468: Standardize on labelling ccode table columns as Collections (9.87 KB, patch)
2020-04-14 13:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22468: Standardize on labelling ccode table columns as Collections (9.92 KB, patch)
2020-04-15 10:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-03-06 15:33:57 UTC
Currently the templates are split: Some label table columns with items.ccode as "Collection," some as "Collection code." Since we display the description rather than the code itself we should use "Collection" everywhere.
Comment 1 Katrin Fischer 2020-04-13 02:38:12 UTC
Created attachment 102794 [details] [review]
Bug 22468: Standardize on labelling ccode table columns as Collections

We now display the descriptions everywhere, so we should drop the
'code' from labels.

This changes text in a lot of playes in Koha, including:

- The relatives checkouts table when displayed for the guarantor
- The new order and order receive forms in acquisitoins (item creation)
- The description of CCODE in the authorised values table
- The column description on results in item search
- The branch tranfers page
- Course reserves: add reserve items (one and in batch)
- Patron account > statistics tab
Comment 2 Owen Leonard 2020-04-14 13:42:19 UTC
Created attachment 102931 [details] [review]
Bug 22468: Standardize on labelling ccode table columns as Collections

We now display the descriptions everywhere, so we should drop the
'code' from labels.

This changes text in a lot of playes in Koha, including:

- The relatives checkouts table when displayed for the guarantor
- The new order and order receive forms in acquisitoins (item creation)
- The description of CCODE in the authorised values table
- The column description on results in item search
- The branch tranfers page
- Course reserves: add reserve items (one and in batch)
- Patron account > statistics tab
Comment 3 Jonathan Druart 2020-04-15 10:04:19 UTC
Created attachment 102979 [details] [review]
Bug 22468: Standardize on labelling ccode table columns as Collections

We now display the descriptions everywhere, so we should drop the
'code' from labels.

This changes text in a lot of playes in Koha, including:

- The relatives checkouts table when displayed for the guarantor
- The new order and order receive forms in acquisitoins (item creation)
- The description of CCODE in the authorised values table
- The column description on results in item search
- The branch tranfers page
- Course reserves: add reserve items (one and in batch)
- Patron account > statistics tab

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-04-15 11:40:17 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-05 22:48:53 UTC
backported to 19.11.x for 19.11.06
Comment 6 Lucas Gass 2020-05-14 15:52:11 UTC
backported to 19.05.x for 19.05.11